from Products.Archetypes.public import *
from Products.CMFCore import CMFCorePermissions

schema = BaseSchema + Schema((
    StringField('question',
              required = 1,
              searchable = 1,
              widget=StringWidget(label = "Question",
                                  label_msgid = "label_question",
                                  description = "The frequently asked question.",
                                  description_msgid = "desc_question",
                                  i18n_domain = "faq")
              ),

    TextField('answer',
              primary = 1,
              required = 1,
              searchable = 1,
              default_content_type = "text/plain",
              default_output_type = "text/html",
              allowable_content_types = ("text/plain", "text/structured",
                                         "text/restructured", "text/html"),
              widget=TextAreaWidget(label = 'Answer',
                                label_msgid = "label_answer",
				description = "Answer to the frequently asked question.",
                                description_msgid = "desc_answer",
                                i18n_domain = "faq",
                                rows=6),
              ),
    ))


class FaqEntry(BaseContent):
    """A simple archetype"""
    schema = schema
    archetype_name = 'Faq Entry'
    meta_type = 'FaqEntry'
    portal_type = 'FaqEntry'

    global_allow = 0

    actions = ({
        'id': 'view',
        'name': 'View',
        'action': 'faqentry_view',
        'permissions': (CMFCorePermissions.View,)
        },)


registerType(FaqEntry)
